<div id="div_data_externe">

   <h3>
        {{ 'Ajouter un acteur à l\'action' | trad }}
	    <a class="principal button button_right"  style="margin-top:-10px" onClick="sendActeur('{{ path('ProjetAchat.ActionActor.validate', {typeObjet:typeObjet,idObjet:idObjet,idTasks:idTasks, idAction: idAction, idActor:idActor}) }}');">{{ 'Valider' | trad }}</a> 
	    <a class="secondaire button button_right" style="margin-top:-10px" onClick="triggerTab('acterAction');">{{ 'Annuler' | trad }}</a>
   </h3>

	<form method="post" id="formActionActor" name="formActionActor">
    	<div class="cleafix">
    		<div class="single row">
    			{{ inputAdvance('SELECT',{
    			    'titre' : 'Rôle' | trad,
    			    'name' : 'ROLE',
    			    'listeValue' : listeRole,
    			    'value' : actor.ROLE,
    			    'option' : (idActor and actor.ROLE=='R')? 'readOnly':'',
    			}) }}
    		</div>
    		<div class="single row">
               {{ inputAdvance('ZOOMADVANCE', {
                    'titre' : 'Utilisateur' | trad,
                    'name' : 'CODE_ACTEUR',
                    'pahtZoom' : path('Ajax.liste.utilisateur'),
                    'paramZoom' : "{}",
                    'entity' : 'Hastutil',
                    'titleZoom' : 'Liste des utilisateurs' | trad,
                    'pathConvert' : path('Ajax.outil.convertLibelle'),
                    'convertLibelle' : 'convertLibelleGlobal',
                    'pathValidator' : path('Ajax.validator.zoom'),
                    'paramsValidator' : "{'entity' : 'Hastutil','nomChamp' : '"~'Utilisateur' | trad~"', 'null' : true}",
                    'value' : actor.CODE_ACTEUR,
                    'option' : (actor.EMAIL or actor.TYPE_ELEM)? 'disabled':'',
                }) }}	
    		</div>
    		<div class="single row">
    			{{ inputAdvance('TEXT',{
    			    'titre' : 'Mail' | trad,
    			    'name' : 'EMAIL',
    			    'pathValidator' : path('Ajax.validator.adresseMail'),
    			    'paramsValidator' : "{'sizeMin' : '0', 'sizeMax' : '100'}",
    			    'value' : actor.EMAIL,
    			    'addClass' : actor.ROLE=='R'? 'disabled':'',
    			    'option' : actor.ROLE=='R' or (actor.CODE_ACTEUR or actor.TYPE_ELEM)? 'disabled':''
    			}) }}
    		</div>
    		<div class="single row">
    			{{ inputAdvance('SELECT',{
    			    'titre' : 'Déclencheur' | trad,
    			    'name' : 'TYPE_ELEM',
    			    'listeValue' : listeDeclencheur,
    			    'value' : actor.TYPE_ELEM,
    			    'optionVide' : true,
    			    'option' : (actor.EMAIL or actor.CODE_ACTEUR)? 'disabled':'',
    			}) }}
    		</div>
    		<div class="clearfix" id="divGenerateInputActor">
    			{% if actor.TYPE_ELEM %}
    			    {% include '@projetAchat/action/tabs/ajaxGenerateInputActor.twig' %}
			    {% endif %}
    		</div>
		</div>
	</form>
	
	<script>
		function sendActeur(path)
		{
    		activeLoader();
            $.ajax({
                dataType : 'html',
                url: path,
                type: "POST",
                data: $('#formActionActor').serialize(),
                success: function(result){
                    var data = jQuery.parseJSON(result);
                    
                    if(data.statut == 'O')
                    {
                       	refrechDiv(data.path, 'acterAction', '', '', data.post);
                       	triggerTab('acterAction');
    				}
    				else
    				{
                    	desactiveLoader();
                        $("#modal-content").addClass("modal_small");
                		$("#modal-body").html(data.content);
                        activePopup();
    				}
    				
                }
            });		
		}
		
		$('#formActionActor input, select').change(function(){
			
			if($(this).attr('id') == 'input_ROLE')
			{
				if($(this).val() == 'R')
				{
					$('#input_EMAIL').prop("disabled", true);	
					$('#input_EMAIL').addClass("disabled");
				}
				else
				{
					$('#input_EMAIL').prop("disabled", false);	
					$('#input_EMAIL').removeClass("disabled");
				}
			}
			else if($(this).attr('id') == 'input_CODE_ACTEUR' || $(this).attr('id') == 'input_EMAIL' || $(this).attr('id') == 'input_TYPE_ELEM')
			{
    			if($(this).val())
    			{
        			if($(this).attr('id') != 'input_CODE_ACTEUR')
        			{
        				$('#text_CODE_ACTEUR').prop("disabled", true);
        			} 
        			if($(this).attr('id') != 'input_EMAIL')
        			{
        				$('#input_EMAIL').prop("disabled", true);
        			} 
        			if($(this).attr('id') != 'input_TYPE_ELEM')
        			{
        				$('#input_TYPE_ELEM').prop("disabled", true);
        			} 
    			}
    			else
    			{
        			$('#text_CODE_ACTEUR').prop("disabled", false);
        			
        			if(!$('#input_EMAIL').hasClass('disabled'))
        			{
            			$('#input_EMAIL').prop("disabled", false);			
        			}
        
        			$('#input_TYPE_ELEM').prop("disabled", false);
    			}
			}
		});
		
		$('#input_TYPE_ELEM').change(function(){
			
			if($(this).val())
			{
        		var valueInput = $(this).val();
    			activeLoader();
            	$.ajax({
        		  	dataType : 'html',
            		url: '{{ path('ProjetAchat.ActionActor.ajaxGenerateInput', {typeObjet:typeObjet,idObjet:idObjet}) }}',
            		data: {'TYPE_ELEM' : valueInput},
            		type: "POST",
            		success: function(result){
    					$('#divGenerateInputActor').html(result);
    					desactiveLoader();
            		}
        		});
			}
			else
			{
				$('#divGenerateInputActor').html('');
			}
		});
	</script>

</div>